KILLALL(1)

NUME
killall - omoară procesele după nume

REZUMAT
killall [-Z, --context model] [-e, --exact] [-g, --process-group] [-i, --interactive] [-n, --ns PID] [-o, --older-than DATĂ-ORĂ] [-q, --quiet] [-r, --regexp] [-s, --signal SEMNAL, -SEMNAL] [-u, --user utilizator] [-v, --verbose] [-w, --wait] [-y, --younger-than DATĂ-ORĂ] [-I, --ignore-case] [-V, --version] [--] nume ...
killall -l, --list
killall -V, --version

DESCRIERE
killall trimite un semnal tuturor proceselor care rulează oricare dintre comenzile specificate. Dacă nu este specificat niciun nume de semnal, este trimis semnalul SIGTERM.

Semnalele pot fi specificate fie prin nume (de exemplu, -HUP sau -SIGHUP), fie prin număr (de exemplu, -1), fie prin opțiunea -s.

Dacă numele comenzii nu este o expresie regulată (opțiunea -r) și conține o bară oblică (/), procesele care execută acel fișier anume vor fi selectate pentru omorâre, independent de numele lor.

killall returnează un cod de returnare zero dacă cel puțin un proces a fost omorât pentru fiecare comandă listată sau nicio comandă nu a fost listată și cel puțin un proces se potrivește cu criteriile de căutare -u și -Z. killall returnează un cod de returnare diferit de zero în caz contrar.

Un proces killall nu se omoară niciodată pe el însuși (dar poate omorî alte procese killall).

OPȚIUNI

-e, --exact
    Necesită o potrivire exactă pentru nume foarte lungi. Dacă un nume de comandă are mai mult de 15 caractere, este posibil ca numele complet să nu fie disponibil (adică se află în fișierul de interschimb „swap”). În acest caz, killall va omorî tot ceea ce se potrivește cu primele 15 caractere. Cu -e, astfel de intrări sunt sărite. killall afișează un mesaj pentru fiecare intrare omisă dacă opțiunea -v este specificată pe lângă opțiunea -e.

-I, --ignore-case
    Face ca operația de căutare a numelui procesului să nu țină seama de majuscule și minuscule.

-g, --process-group
    Omoară grupul de procese din care face parte procesul. Semnalul de omorâre este trimis o singură dată pe grup, chiar dacă au fost găsite mai multe procese care aparțin aceluiași grup de procese.

-i, --interactive
    Solicită interactiv confirmarea înainte de a omorî.

-l, --list
    Listează toate numele semnalelor cunoscute.

-n, --ns
    Compară spațiul de nume PID cu PID-ul dat. Valoarea implicită este să se potrivească cu toate spațiile de nume.

-o, --older-than
    Caută numai procesele care sunt mai vechi (începute înainte) de timpul specificat. Timpul este specificat ca un număr zecimal urmat de o unitate. Unitățile sunt s,m,h,d,w,M,y pentru secunde, minute, ore, zile, săptămâni, luni și, respectiv, ani.

-q, --quiet
    Nu se plânge dacă niciun proces nu a fost omorât.

-r, --regexp
    Interpretează modelul de nume de proces ca o expresie regulată extinsă POSIX, conform regex(3).

-s, --signal, -SEMNAL
    Trimite acest semnal în loc de SIGTERM.

-u, --user
    Omoară numai procesele deținute de utilizatorul specificat. Numele comenzilor sunt opționale.

-v, --verbose
    Raportează dacă semnalul a fost trimis cu succes.

-V, --version
    Afișează informațiile despre versiune.

-w, --wait
    Așteaptă ca toate procesele omorâte să moară. killall verifică o dată pe secundă dacă există încă vreunul dintre procesele omorâte și returnează controlul numai atunci când nu mai sunt procese în listă. Rețineți că killall poate aștepta pentru totdeauna dacă semnalul a fost ignorat, nu a avut niciun efect sau dacă procesul intră în starea „zombie”.

-y, --younger-than
    Caută numai procesele care sunt mai noi (începute după) de timpul specificat. Timpul este specificat ca un număr zecimal urmat de o unitate. Unitățile sunt s,m,h,d,w,M,y pentru secunde, minute, ore, zile, săptămâni, luni și, respectiv, an.

-Z, --context
    Specifică contextul de securitate: omoară numai procesele care au un context de securitate care se potrivește cu modelul de expresie regulată extins dat. Trebuie să precedă alte argumente din linia de comandă. Numele comenzilor sunt opționale.

FIȘIERE

/proc
    locația sistemului de fișiere proc

ERORI CUNOSCUTE
Omorârea prin fișier funcționează numai pentru executabilele care sunt menținute deschise în timpul execuției, adică executabilele impure nu pot fi omorâte în acest fel.

Aveți grijă asupra faptului că tastarea killall nume poate să nu aibă efectul dorit asupra sistemelor non-Linux, mai ales când este făcută de un utilizator privilegiat.

killall -w nu detectează dacă un proces dispare și este înlocuit cu un nou proces cu același PID între două scanări.

Dacă procesele își schimbă numele, este posibil ca killall să nu le recunoască corect.

killall are o limită de nume care pot fi specificate în linia de comandă. Această cifră are dimensiunea unui număr întreg lung fără semn înmulțit cu 8. Pentru majoritatea sistemelor pe 32 de biți limita este 32 și, în mod similar, pentru un sistem pe 64 de biți, limita este de obicei 64.

CONSULTAȚI ȘI
kill(1), fuser(1), pgrep(1), pidof(1), pkill(1), ps(1), kill(2), expreg(3).